# $Revision: 1.47 $, $Date: 2002/07/01 08:53:09 $
# _with_glide - Build Glide support
# _with_kgicon - Build KGICon support
Summary:	GGI - Generic Graphics Interface
Summary(pl):	GGI - Generic Graphics Interface
Name:		libggi
Version:	2.0.1
Release:	6
Epoch:		1
License:	BSD-like
Group:		Libraries
Source0:	ftp://ftp.ggi-project.org/pub/ggi/ggi/current/%{name}-%{version}.tar.gz
Patch0:		%{name}-time.patch
Patch1:		%{name}-svga.patch
Patch2:		%{name}-tm_to_mode.patch
Patch3:		%{name}-ac25x.patch
Patch4:		%{name}-nodirectfb.patch
URL:		http://www.ggi-project.org/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	aalib-devel
BuildRequires:	libgii-devel
BuildRequires:	ncurses-devel
%ifarch %{ix86} alpha
BuildRequires:	svgalib-devel
%endif
%{?_with_glide:BuildRequires: glide-devel}
%{?_with_kgicon:BuildRequires: kgicon-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibGGI, the dynamic GGI (General Graphics Interface) library is a
flexible drawing library.

It provides an opaque interface to the display's acceleration
functions. It was originally intended to allow user programs to
interface with KGI, the GGI Kernel Graphics Interface, but other
display types can be easily used by loading the appropriate "display
target" (e.g. X, memory).

%description -l pl
LibGGI, dynamiczne GGI (General Graphics Interface - Generalny
Interfejs Graficzny) jest bibliotek obsugi grafiki.

Dostarcza ona jednolity interfejs do akcelerowanych funkcji
wywietlania. Oryginalnie biblioteka zostaa stworzona do
wspdziaania z KGI (GGI Kernel Graphic Interface) ale inne
sterowniki wywietlania mog by atwo uywane.

%package aa
Summary:	aalib target for LibGGI
Summary(pl):	Obsuga aalib dla LibGGI
Group:		Libraries
Requires:	%{name} = %{version}

%description aa
LibGGI target for displaying graphics using ascii-art-library.

%description aa -l pl
Modu LibGGI do obsugi grafiki poprzez bibliotek ascii-art.

%package svgalib
Summary:	SVGALib target for LibGGI
Summary(pl):	Obsuga SVGALib dla LibGGI
Group:		Libraries
Requires:	%{name} = %{version}

%description svgalib
LibGGI target for displaying via SVGALib.

%description svgalib -l pl
Modu LibGGI do obsugi grafiki poprzez bibliotek SVGALib.

%package X11
Summary:	X11 targets for LibGGI
Summary(pl):	Obsuga X11 dla LibGGI
Group:		Libraries
Requires:	%{name} = %{version}

%description X11
LibGGI targets for displaing in X:
 - x - graphics via X-protocol
 - xlib - graphics via X-library
 - dga - graphics via XFree86 DGA extension

%description X11 -l pl
Moduy LibGGI do obsugi grafiki w XWindow:
 - x - grafika poprzez protok X
 - xlib - grafika poprzez bibliotek xlib
 - dga - grafika poprzez rozszerzenie X DGA

%package glide
Summary:	Glide (3DFX) target for LibGGI
Summary(pl):	Obsuga Glide (3DFX) dla LibGGI
Group:		Libraries
Requires:	%{name} = %{version}

%description glide
GGI Glide target.

%description glide -l pl
Modu do obsugi grafiki poprzez Glide.

%package programs
Summary:	Utilities and demos for GGI
Summary(pl):	Programy narzdziowe i przykadowe dla LibGGI
Group:		Development/Libraries
Requires:	%{name} = %{version}
Obsoletes:	libggi-demos

%description programs
Various utilities and demos for GGI.

%description programs -l pl
Rne programy oraz dema dla GGI

%package devel
Summary:	Development part of LibGGI
Summary(pl):	Cz dla programistw biblioteki LibGGI
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	libgii-devel

%description devel
Development part of LibGGI.

%description devel -l pl
Pliki potrzebne do programowania z wykorzystaniem LibGGI.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
CPPFLAGS="-I%{_includedir}/glide"; export CPPFLAGS
./autogen.sh
%configure \
	%{?!debug:--disable-debug} \
	%{?!_with_glide:--disable-glide} \
	%{?!_with_kgicon:--disable-genkgi} \
%ifnarch %{ix86} alpha
	--disable-svga \
	--disable-vgagl \
%endif
	--sysconfdir=%{_sysconfdir} \
	--enable-threads
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

install programs/demos/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install programs/demos/Makefile $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install config.h $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# demos which are nice, but not installed by make install
install programs/demos/.libs/flying_ggis $RPM_BUILD_ROOT%{_bindir}
install programs/demos/.libs/slimy $RPM_BUILD_ROOT%{_bindir}
install programs/demos/.libs/stars $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README NEWS doc/*.txt
%dir %{_libdir}/ggi/default
%dir %{_libdir}/ggi/default/fbdev
%dir %{_libdir}/ggi/default/fbdev/*
%dir %{_libdir}/ggi/display

%{_sysconfdir}/ggi/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_libdir}/ggi/default/fbdev/*/*.so
%attr(755,root,root) %{_libdir}/ggi/default/*.so
%attr(755,root,root) %{_libdir}/ggi/display/fbdev.so
%attr(755,root,root) %{_libdir}/ggi/display/file.so
%attr(755,root,root) %{_libdir}/ggi/display/linvtsw.so
%attr(755,root,root) %{_libdir}/ggi/display/mansync.so
%attr(755,root,root) %{_libdir}/ggi/display/memory.so
%attr(755,root,root) %{_libdir}/ggi/display/monotext.so
%attr(755,root,root) %{_libdir}/ggi/display/multi.so
%attr(755,root,root) %{_libdir}/ggi/display/palemu.so
%attr(755,root,root) %{_libdir}/ggi/display/sub.so
%attr(755,root,root) %{_libdir}/ggi/display/tele.so
%attr(755,root,root) %{_libdir}/ggi/display/terminfo.so
%attr(755,root,root) %{_libdir}/ggi/display/tile.so
%attr(755,root,root) %{_libdir}/ggi/display/trueemu.so
%attr(755,root,root) %{_libdir}/ggi/display/vcsa.so

%{_mandir}/man7/*

%files aa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ggi/display/aa.so

%ifarch %{ix86} alpha
%files svgalib
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ggi/display/svga*.so
%attr(755,root,root) %{_libdir}/ggi/display/vgagl.so
%endif

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ggi/display/X*.so
%attr(755,root,root) %{_libdir}/ggi/display/xf86dga.so

%{?!_with_glide:#}%files glide
%{?!_with_glide:#}%attr(755,root,root) %{_libdir}/ggi/display/glide.so

%files programs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man6/*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%doc %{_examplesdir}/%{name}-%{version}

%{_includedir}/ggi/*.h
%{_includedir}/ggi/default
%{_includedir}/ggi/display
%{_includedir}/ggi/internal/*.h
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/ggi/*/*.la
%attr(755,root,root) %{_libdir}/ggi/default/fbdev/*/*.la

%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libggi.spec,v $
Revision 1.47  2002/07/01 08:53:09  trojan
- added patch(comenting directfb entries in config)
- release 6

Revision 1.46  2002/05/21 14:39:38  qboosh
- removed %%{_includedir}/ggi{,/internal} dirs from -devel (belong to libgii-devel)
- new %%doc, release 5

Revision 1.45  2002/04/27 09:09:07  qboosh
- added ac25x patch needed for autoconf 2.53
- release 4

Revision 1.44  2002/04/20 10:44:12  kloczek
- release 3.

Revision 1.43  2002/04/20 09:26:55  marcus
- fixed include path

Revision 1.42  2002/04/20 09:15:00  marcus
- on ppc aalib exists

Revision 1.41  2002/04/19 23:00:21  misiek
- added fix for powerpc

Revision 1.40  2002/04/19 19:44:26  mmazur
- a couple fixes for arch != x86 (needs testing on alpha)

Revision 1.39  2002/04/12 14:05:01  qboosh
- removed %%{_libdir}/ggi dir - it's in libgii

Revision 1.38  2002/04/11 15:11:48  qboosh
- removed include/* dirs that exist in libgii-devel, -devel Req: libgii-devel

Revision 1.37  2002/04/11 14:31:29  qboosh
- fixed file list: /etc/ggi dir belons to libgii; release 2

Revision 1.36  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.35  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.34  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/08/29 04:48:06  kloczek
- adapterized.

Revision 1.32  2001/08/28 09:53:40  trojan
- updated to 2.0.1; STB

Revision 1.31  2001/08/25 11:55:07  filon
- added config.h and Makefile to %{_examplesdir}, without it can't build examples

Revision 1.30  2001/08/13 13:59:47  trojan
- Epoch: 1 (for allow upgrade from 2.0b3)

Revision 1.29  2001/08/13 13:42:52  trojan
- updated to 2.0

Revision 1.28  2001/08/10 14:04:03  trojan
- added BuildRequires: autoconf, automake

Revision 1.27  2001/07/24 16:42:58  qboosh
- svga patch fixes two bugs in svga target; still segfaults on exit
  (probably because svgalib uses atexit() and libvga.so.1 is unloaded before)
- fixed summaries/descriptions (s/GII/GGI/)
- fixed License - it's not GPL since 1998

Revision 1.26  2001/07/23 09:46:23  trojan
- updated to 2.0b4
- added ./autogen.sh in %prep
- added BuildRequires: ncurses-devel

Revision 1.25  2001/07/06 11:50:45  dobrek
-No svgalib on axp

Revision 1.24  2001/05/22 09:06:27  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.23  2001/03/05 17:43:50  qboosh
- uncommented %%clean section
- cosmetics in pl translations

Revision 1.22  2001/02/25 10:33:30  misiek
ifnarch -> ifarch

Revision 1.21  2001/02/25 10:28:02  misiek
2.0b3. Use conditional build for kgicon and glide. Added pl translations. stb

Revision 1.20  2001/02/21 22:06:02  misiek
disable vgagl, too

Revision 1.19  2001/02/21 18:34:17  misiek
dont require svgalib on arch other than ia32 and alpha

Revision 1.18  2001/01/22 11:35:54  kloczek
- rebuild on current glibc,
- more macros.

Revision 1.17  2000/11/03 05:25:36  kloczek
- release 2: adapterized and added using new rpm automation.

Revision 1.16  2000/06/27 10:21:49  qboosh
- added svgalib-misc.so and vgagl.so to libggi-svgalib
- added Obsoletes: libggi-demos to libggi-programs

Revision 1.15  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.14  2000/06/09 07:23:20  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.12  2000/04/17 17:10:14  kloczek
- spec adapterized (adapter also fix in this case one major bug: missing
  %defattr() in programms),
- some cosmetics.

Revision 1.11  2000/04/16 17:50:52  jajcus
- some documetation moved from -devel to base package

Revision 1.10  2000/04/15 16:50:30  jajcus
- removed kgicon support (kgicon package is old and probably not-working)
- revision up

Revision 1.9  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.7  1999/07/20 12:48:08  wiget
- switch to rpm 3.0.2

Revision 1.6  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.5  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jun 20 1999 Jacek Konieczny <jajcus@pld.org.pl>
  [2.0b2.1]
- package divided into target-specific subpackages
- programs subpackage added

* Tue May 18 1999 Artur Frysiak <wiget@pld.org.pl>
  [0.6-1]
- first version (writed from templete.spec)
